Databases
Create database
Creates a new database for the given project.
POST
/v1/projects/{projectId}/databasesCreates a new database for the given project.
AuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
projectId*string
Match
^(proj_)?([cC][^\s-]{8,}|[a-z0-9]+)$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects/string/databases" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "type": "database", "url": "http://example.com", "name": "string", "status": "provisioning", "createdAt": "2019-08-24T14:15:22Z", "isDefault": true, "defaultConnectionId": "string", "connections": [ { "id": "string", "type": "connection", "url": "http://example.com", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "kind": "postgres", "endpoints": { "direct": { "host": "string", "port": 0, "connectionString": "string" }, "pooled": { "host": "string", "port": 0, "connectionString": "string" }, "accelerate": { "host": "string", "port": 0, "connectionString": "string" } }, "directConnection": { "host": "string", "pass": "string", "user": "string" }, "database": { "id": "string", "url": "http://example.com", "name": "string" } } ], "project": { "id": "string", "url": "http://example.com", "name": "string" }, "region": { "id": "string", "name": "string" }, "source": { "type": "empty" }, "branchId": "string", "apiKeys": [ { "id": "string", "type": "connection", "url": "http://example.com", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "kind": "postgres", "endpoints": { "direct": { "host": "string", "port": 0 }, "pooled": { "host": "string", "port": 0 }, "accelerate": { "host": "string", "port": 0 } }, "connectionString": "string", "directConnection": { "host": "string", "pass": "string", "user": "string" } } ], "connectionString": "string", "directConnection": { "host": "string", "pass": "string", "user": "string" } }}